Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h	(revision 121)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h	(revision 122)
@@ -28,10 +28,16 @@
     {
       ROB_EMPTY                      , // 
+
       ROB_BRANCH_WAIT_END            , // 
       ROB_BRANCH_COMPLETE            , // 
-      ROB_STORE_WAIT_HEAD_OK         , // 
-//    ROB_STORE_WAIT_HEAD_KO         , // 
-      ROB_STORE_HEAD_OK              , // 
-      ROB_STORE_HEAD_KO              , // 
+
+      ROB_STORE_WAIT_END_OK          , // 
+      ROB_STORE_WAIT_END_KO          , // 
+      ROB_STORE_OK                   , // 
+      ROB_STORE_KO                   , // 
+      ROB_STORE_OK_WAIT_END          , // 
+      ROB_STORE_KO_WAIT_END          , // 
+      ROB_STORE_EVENT                , // 
+
       ROB_OTHER_WAIT_END             , // 
 
@@ -50,11 +56,24 @@
       ROB_END_EXCEPTION_WAIT_HEAD    , // 
       ROB_END_EXCEPTION_UPDATE       , // 
-      ROB_END_EXCEPTION                // 
+      ROB_END_EXCEPTION              , // 
+      ROB_END
+    } rob_state_t;
 
-    } rob_state_t;
+  typedef enum
+    {
+      COMMIT_EVENT_STATE_NO_EVENT  ,
+      COMMIT_EVENT_STATE_EVENT     ,
+      COMMIT_EVENT_STATE_WAIT_DECOD,
+      COMMIT_EVENT_STATE_WAIT_END  ,
+      COMMIT_EVENT_STATE_END     
+    } Tcommit_event_state_t;
+
+#define commit_event_state_to_event_state(x) ((x==COMMIT_EVENT_STATE_EVENT)?EVENT_STATE_EVENT:((x==COMMIT_EVENT_STATE_WAIT_DECOD)?EVENT_STATE_WAITEND:((x==COMMIT_EVENT_STATE_WAIT_END)?EVENT_STATE_WAITEND:((x==COMMIT_EVENT_STATE_END)?EVENT_STATE_END:EVENT_STATE_NO_EVENT))))
+
 
   class entry_t 
   {
   public  : rob_state_t        state                   ;
+  public  : rob_state_t        state_old               ;
   public  : uint32_t           ptr                     ;
   public  : Tcontext_t         front_end_id            ;
@@ -98,4 +117,5 @@
 //public  : Tgeneral_data_t    data_commit             ; // branch's destination
 #ifdef DEBUG
+  public  : Tgeneral_data_t    load_data               ;
   public  : Taddress_t         address                 ;
 #endif
@@ -121,8 +141,10 @@
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_BRANCH_WAIT_END            : return "ROB_BRANCH_WAIT_END"             ; break;
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_BRANCH_COMPLETE            : return "ROB_BRANCH_COMPLETE"             ; break;
-      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_WAIT_HEAD_OK         : return "ROB_STORE_WAIT_HEAD_OK"          ; break;
-//    case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_WAIT_HEAD_KO         : return "ROB_STORE_WAIT_HEAD_KO"          ; break;
-      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_HEAD_OK              : return "ROB_STORE_HEAD_OK"               ; break;
-      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_HEAD_KO              : return "ROB_STORE_HEAD_KO"               ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_WAIT_END_OK          : return "ROB_STORE_WAIT_END_OK"           ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_WAIT_END_KO          : return "ROB_STORE_WAIT_END_KO"           ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_OK                   : return "ROB_STORE_OK"                    ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_KO                   : return "ROB_STORE_KO"                    ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_OK_WAIT_END          : return "ROB_STORE_OK_WAIT_END"           ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_STORE_KO_WAIT_END          : return "ROB_STORE_KO_WAIT_END"           ; break;
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_OTHER_WAIT_END             : return "ROB_OTHER_WAIT_END"              ; break;
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_EVENT_WAIT_END             : return "ROB_EVENT_WAIT_END"              ; break;
@@ -140,4 +162,5 @@
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_END_EXCEPTION_UPDATE       : return "ROB_END_EXCEPTION_UPDATE"        ; break;
       case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_END_EXCEPTION              : return "ROB_END_EXCEPTION"               ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::ROB_END                        : return "ROB_END"                         ; break;
 
       default    : return ""      ; break;
